package com.miaxis.wx.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.feign.dto.FilmDTO;
import com.miaxis.feign.dto.fulu.FuluCommonApiDTO;
import com.miaxis.feign.dto.fulu.FuluDTO;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.dto.*;

import java.util.List;

/**
 */
public interface IWxOrderService extends IService<WxOrder>{



    void createVipOrder(WxOrder order);

    WxOrder getByOutTradeNo(String outTradeNo);

    List<WxOrder> selectPcOrderList(PcWxOrderListDTO pcWxOrderListDTO);


    List<WxOrder> QuerySchoolOrderList(QuerySchoolOrderListDTO dto);
}
